package com.zxhl.main.page.contract

import com.zxhl.cms.net.model.box.NoticeEntity
import com.zxhl.cms.net.model.box.ShopOrderEntity

class BoxOrderContract {
    interface View {
        fun setOrderListData(boolean: Boolean,reslut: List<ShopOrderEntity>?)
        fun setEmptyView(isEmpty: Boolean)
        fun setNotice(reslut: NoticeEntity?)
    }

    interface Presenter {
        fun getOrderList(ifRefresh:Boolean)
        fun getNotice()
    }
}